diff options
author | Vincent Petry <pvince81@owncloud.com> | 2016-06-21 16:21:11 +0200 |
---|---|---|
committer | GitHub <noreply@github.com> | 2016-06-21 16:21:11 +0200 |
commit | 755c86e3a2bf04f976779bf86170462bef392639 (patch) | |
tree | 5d6c400c3a5cd58805b78cfb8b0c7cc561431c0f | |
parent | 7f22aeb5d6779236efec72cdb6bb8703dd7c0ee1 (diff) | |
parent | bac96e7ffc33fc4527656b7703a813555da79f5e (diff) | |
download | nextcloud-server-755c86e3a2bf04f976779bf86170462bef392639.tar.gz nextcloud-server-755c86e3a2bf04f976779bf86170462bef392639.zip |
Merge pull request #24505 from owncloud/ceph-wait-for-http
Don't rely on the notify socket but on the service responding
-rwxr-xr-x | apps/files_external/tests/env/start-swift-ceph.sh | 5 | ||||
-rwxr-xr-x | autotest.sh | 8 |
2 files changed, 9 insertions, 4 deletions
diff --git a/apps/files_external/tests/env/start-swift-ceph.sh b/apps/files_external/tests/env/start-swift-ceph.sh index ba17b8f42dd..b73fa899a6d 100755 --- a/apps/files_external/tests/env/start-swift-ceph.sh +++ b/apps/files_external/tests/env/start-swift-ceph.sh @@ -74,6 +74,11 @@ if [[ $ready != 'READY=1' ]]; then docker logs $container exit 1 fi +if ! "$thisFolder"/env/wait-for-connection ${host} 80 600; then + echo "[ERROR] Waited 600 seconds, no response" >&2 + docker logs $container + exit 1 +fi echo "Waiting another 15 seconds" sleep 15 diff --git a/autotest.sh b/autotest.sh index e798157fe64..40c54102eae 100755 --- a/autotest.sh +++ b/autotest.sh @@ -192,8 +192,8 @@ function execute_tests { DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID") echo "Waiting for MySQL initialisation ..." - if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 60; then - echo "[ERROR] Waited 60 seconds, no response" >&2 + if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then + echo "[ERROR] Waited 600 seconds, no response" >&2 exit 1 fi @@ -221,8 +221,8 @@ function execute_tests { DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID") echo "Waiting for MariaDB initialisation ..." - if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 60; then - echo "[ERROR] Waited 60 seconds, no response" >&2 + if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then + echo "[ERROR] Waited 600 seconds, no response" >&2 exit 1 fi |